import { IItemDetailDTO } from './IItemDetailDTO';

export class ItemDetailDTO implements IItemDetailDTO {
    accepts_mercadopago: boolean;
    attributes: any[];
    automatic_relist: boolean;
    available_quantity: number;
    base_price: number;
    buying_mode: string;
    catalog_product_id: any;
    category_id: string;
    condition: string;
    coverage_areas: [];
    currency_id: string;
    date_created: string;
    deal_ids: [];
    descriptions: any[];
    differential_pricing: any;
    domain_id: string;
    geolocation: any;
    health: number;
    id: string;
    initial_quantity: number;
    international_delivery_mode: string;
    last_updated: string;
    listing_source: string;
    listing_type_id: string;
    location: any;
    non_mercado_pago_payment_methods: [];
    official_store_id: string;
    original_price: number;
    parent_item_id: string;
    permalink: string;
    pictures: any[];
    price: number;
    sale_terms: [];
    secure_thumbnail: string;
    seller_address: any;
    seller_contact: string;
    seller_id: number;
    shipping: any;
    site_id: string;
    sold_quantity: number;
    start_time: string;
    status: string;
    stop_time: string;
    sub_status: [];
    subtitle: string;
    tags: [];
    thumbnail: string;
    title: string;
    variations: any[];
    video_id: null;
    warnings: any[];
    warranty: any;
}
